package com.cyksj.service.template;

import com.cyksj.model.entity.*;
import com.cyksj.model.manage.request.ReqSetLogisticsPost;
import com.cyksj.model.manage.views.GroupsRelationView;
import com.cyksj.model.views.WxAppTemplateView;

/*
 *项目名: netflix
 *文件名: TemplateCommonService
 *创建者: JavaZou
 *创建时间:2023/1/11 9:59
 */
public interface TemplateCommonService {
	/**
	 * 发送新订单模板消息
	 */
	void newOderSendMsgByType(OrderDon order, GoodsDon goodsDon, User user, String toPeople, Boolean isCustomer) throws Exception;

	/**
	 * 公众号扫描登录成功模板消息
	 */
	void sendWxGzhQrCodeSuccessMsg(User user) throws Exception;

	/**
	 * 获取发送模板消息的公众号
	 */
	WxAppTemplateView getWxAppByUserId(String openId, String templateMark);

	/**
	 * 发货通知模板消息
	 */
	void sendTransportMsgNotify(OrderDon orderDon, ReqSetLogisticsPost reqSetLogisticsPost, Boolean isReceiveAll) throws Exception;

	/**
	 * 空车位通知模板
	 */
	void emptySendMsgNotify(OrderDon orderDon, String toPeople) throws Exception;

	/**
	 * 账号修改密码通知模板
	 */
	void sendAccountTemplateMsg(Account account) throws Exception;

	/**
	 * 修改用户车票账号密码通知
	 */
	void sendUpdateAccountMsgNotify(GroupsRelationView relation) throws Exception;

	/**
	 * Spotify账号到期通知模板
	 */
}
